Announce read-only time on-wiki to users of frwiki, ruwiki and jawiki (May 29, 2018)
Closed, ResolvedPublic

Description

In order to perform safely the network maintenance detailed in T187962, the database for frwiki, ruwiki and jawiki, will need to be set to read only mode for ~15min (it's most likely going to be 5min, but picking 15 for headroom).

This will be on May 29th, aiming for ~11:00UTC, but as it's one step of a very long process, it might happen between 10:00UTC and 12:00UTC. Let me know if that range is too wide and I will narrow it down.

Message can be something along the lines of:
"We are moving one of the database server in charge of frwiki, ruwiki and jawiki to a new network equipment. To make sure data don't get corrupted, we will briefly disable writes."
Feel free to edit/personalize it.

ayounsi created this task.May 18 2018, 12:34 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 18 2018, 12:34 PM
Aklapper renamed this task from Announce read-only time on-wiki to users of frwiki, ruwiki and jawiki to Announce read-only time on-wiki to users of frwiki, ruwiki and jawiki (May 29, 2018).May 19 2018, 9:09 AM
Elitre added a subscriber: Elitre.EditedMay 21 2018, 9:33 AM

Thanks, will assign ASAP.
In the future, please allow 2 weeks between announcement to wikis and action. Thank you! ;)

Elitre moved this task from Backlog to On-wiki sharing needed ASAP on the Tech-Ambassadors board.
Elitre updated the task description. (Show Details)
Johan added a subscriber: Johan.

(Thanks! But all wikis affected by this should have been made aware of this long before next Monday – they shouldn't have to rely on a mention in Tech News the day before.)

@Johan, as far as I know, ruwiki wasn't - I informed them today.

@Johan, as far as I know, ruwiki wasn't - I informed them today.

Yeah, the point is that we are all just hearing about it, and it's only relevant to 3 wikis, so TN is not the best tool really.
Local site notices could be arranged - in addition to messages to village pumps, local wiki mailing lists, IRC.
By tomorrow I should find a CL who can make sure proper communications happen.

For jawiki, I just posted it at [[:ja:Wikipedia:お知らせ#2018年5月29日のメンテナンス予定]].
Also would like to second to Elitre - in the future, please allow 2 weeks between announcement and action.

Trizek will double-check what ambassadors have already done (Thanks!) and fill in the gaps :)

Trizek-WMF triaged this task as High priority.May 22 2018, 1:12 PM

Thank you @patilise for sharing that message. :)

I'm adding other Ambassadors so that they can spread the word. I'll post a message on the wikis that wouldn't have got the message tomorrow my afternoon (in ~ 20 hours since that message).

It is important to have people knowing that they will not be able to edit the pages, so any way to inform editors is up to your experience. If you have posted a message, don't forget to link it here, so that we will avoid multiple warnings. ;)

stjn added a comment.May 22 2018, 4:56 PM

Done in Russian Wikipedia (no notice, just a banner): https://ru.wikipedia.org/?diff=92816291

The CentralNotice banners from the server switches could be re-used if necessary, but I think it would be best to run them as sitenotices. (CentralNotice would display to anyone at any wiki that has French, Russian, or Japanese as their user interface language, but not to people at frwiki, ruwiki, or jawiki who have any other language set as their interface language.)

https://meta.wikimedia.org/wiki/CentralNotice/Generic_maintenance_notice might be useful.

I think we used the general maintenance banner (in addition to something else?), but @Seddon will doubtless be able to tell you.

Those banners could be copied to local sitenotices. (CentralNotice is run by language preference, not by site. This means that everyone whose user interface preferences are set to French at the English Wikipedia would see the CentralNotice banner about the wiki being read-only (even though it's not affected by this), but people whose preferences are set to anything *except* French at the French Wikipedia would never see the notice.)

Can someone confirm me that error messages that will be shown by users are adapted to the situation ? ie what will contain readOnlyBySection var if it's a classical mw readonly switch ? I remember a time when messages were not updated for a window.

We can use whatever you feel is appropriate (normally, a link to meta with an explanation -a summary of this ticket-, but per wiki interface or visual editor can override the message given by mediawiki: T163455#3199970 ). A special header can be set to test what will exactly happen on the 3 affected wikis: T163455#3199776

IIRC, there is a message displayed when the wikis are in read-only mode.

They were an interruption on service yesterday evening UTC.
Is T187962 still scheduled?

Good, thanks. :)

@Framawiki, @BamLifa, @stjn, @Jack_who_built_the_house, @patilise
This is a reminder: the interruption is supposed to happen in ~ 30 hours. Don't forget to leave messages where ever you think that's needed. Please tell me if you don't have time for that so I can help you.

Change 435755 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/mediawiki-config@master] db-eqiad.php: Enable read-only for s6

https://gerrit.wikimedia.org/r/435755

@Marostegui, good idea to add a link to the different messages in the 3 languages. Here is the link for Japanese : https://ja.wikipedia.org/wiki/Wikipedia:%E3%81%8A%E7%9F%A5%E3%82%89%E3%81%9B#2018%E5%B9%B45%E6%9C%8829%E6%97%A5%E3%81%AE%E3%83%A1%E3%83%B3%E3%83%86%E3%83%8A%E3%83%B3%E3%82%B9%E4%BA%88%E5%AE%9A

@patilise, while I wasn't seeing your message anymore, I've re-posted one just now. And then found your message. Sorry for the duplicate, I should know Japanese a bit more!

Added! Thanks!

Change 435755 merged by jenkins-bot:
[operations/mediawiki-config@master] db-eqiad.php: Enable read-only for s6

https://gerrit.wikimedia.org/r/435755

Mentioned in SAL (#wikimedia-operations) [2018-05-29T10:59:59Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Enable read only on s6 T194939 T187962 (duration: 01m 35s)

Mentioned in SAL (#wikimedia-operations) [2018-05-29T11:08:39Z] <marostegui@tin> Synchronized wmf-config/db-eqiad.php: Disable read only on s6 T194939 T187962 (duration: 01m 37s)

This maintenance has been completed.
Read only lasted from:

10:59:59 to 11:08:39 (times are in UTC)

Trizek-WMF closed this task as Resolved.May 29 2018, 12:16 PM
Trizek-WMF moved this task from On-wiki sharing needed ASAP to Archive on the Tech-Ambassadors board.

That was quick! I haven't actually seen it myself! :)

After a quick review of the 3 wikis, I don't see any messages about that interruption.

I consider my task as done here. Many thanks to all volunteers ambassadors involved in that process! \o/

Thanks a lot indeed. Everything went smoothly.
We will do our best to give a longer notice period in the future.

Vvjjkkii renamed this task from Announce read-only time on-wiki to users of frwiki, ruwiki and jawiki (May 29, 2018) to cscaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Trizek-WMF as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Kaartic renamed this task from cscaaaaaaa to Announce read-only time on-wiki to users of frwiki, ruwiki and jawiki (May 29, 2018).Jul 1 2018, 1:25 PM
Kaartic closed this task as Resolved.
Kaartic assigned this task to Trizek-WMF.
Kaartic added a project: Patch-For-Review.
Kaartic updated the task description. (Show Details)
Kaartic added a subscriber: Aklapper.